/**
 * Copyright 2009-2012 Serli
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.ow2.util.plan.deploy.deployable.impl;

import org.ow2.util.archive.api.IFileArchive;
import org.ow2.util.ee.deploy.impl.deployable.AbsDeployable;
import org.ow2.util.plan.bindings.deploymentplan.DeploymentPlan;
import org.ow2.util.plan.deploy.deployable.api.DeploymentPlanDeployable;

/**
 * Implementation for the Deployment Plan deployable.
 *
 * @author mleduque
 *
 */
public class DeploymentPlanDeployableImpl extends AbsDeployable<DeploymentPlanDeployable> implements DeploymentPlanDeployable {

    /**
     * The attached DeploymentPlan object.
     */
    private DeploymentPlan attachedPlan = null;

    /**
     * Constructs a deployment plan deployable from a FileArchive.
     * @param archive the archive
     */
    public DeploymentPlanDeployableImpl(final IFileArchive archive) {
        super(archive);
    }

    /**
     * {@inheritDoc}
     */
    public DeploymentPlan getAttachedData() {
        return this.attachedPlan;
    }

    /**
     * {@inheritDoc}
     */
    public void setAttachedData(final DeploymentPlan attachedData) {
        this.attachedPlan = attachedData;
    }


}
