/**
 * Copyright 2009-2012 Serli
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.ow2.util.plan.fetcher.api.exceptions;

/**
 * Exception throw when some operation on a IResourceFetcher is done
 * but required that the fetcher be resolved.
 * @author Mickaël LEDUQUE
 */
public class ResourceFetcherNotResolvedException extends Exception {

    /**
     * {@inheritDoc}
     */
    public ResourceFetcherNotResolvedException() {
    }

    /**
     * {@inheritDoc}
     */
    public ResourceFetcherNotResolvedException(String message) {
        super(message);
    }

    /**
     * {@inheritDoc}
     */
    public ResourceFetcherNotResolvedException(Throwable cause) {
        super(cause);
    }

    /**
     * {@inheritDoc}
     */
    public ResourceFetcherNotResolvedException(String message, Throwable cause) {
        super(message, cause);
    }

}
