/**
 * Copyright 2009-2012 Serli
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.ow2.util.plan.fetcher.impl.maven2;

import org.ow2.util.plan.bindings.deploymentplan.DeploymentPlanFragment;
import org.ow2.util.plan.bindings.deploymentplan.maven2.Maven2Deployment;
import org.ow2.util.plan.fetcher.api.IResourceFetcher;
import org.ow2.util.plan.fetcher.api.IResourceFetcherFactory;
import org.ow2.util.plan.fetcher.api.exceptions.FetcherFactoryException;
import org.ow2.util.plan.fetcher.impl.AbsResourceFetcherFactoryImpl;

/**
 * Factory for the Maven2 implementation of the resource fetcher.
 * @author Mickaël LEDUQUE
 */
public class Maven2ResourceFetcherFactory extends AbsResourceFetcherFactoryImpl implements IResourceFetcherFactory {

    /**
     * Default constructor.
     */
    public Maven2ResourceFetcherFactory() {
        this.setFetcherConcreteClass(Maven2ResourceFetcher.class);
    }

    /**
     * {@inheritDoc}
     */
    public Class<? extends DeploymentPlanFragment> getSupportedClass() {
        return Maven2Deployment.class;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public IResourceFetcher getResourceFetcher(final DeploymentPlanFragment fragment) throws FetcherFactoryException {
        Maven2ResourceFetcher fetcher = (Maven2ResourceFetcher)super.getResourceFetcher(fragment);
        return fetcher;
    }
}
